Skip to main content
DELETE
/
stores
/
{storeId}
/
orders
/
{orderId}
Delete Order
curl --request DELETE \
  --url https://api.getredo.com/v2.2/stores/{storeId}/orders/{orderId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "orderId": "<string>",
  "externalOrderId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

storeId
string
required

Store ID

Example:

"64e5a8a1af49a89df37e4ee7"

orderId
string
required

Order ID. Can be either the external order ID provided when creating the order, or the internal Redo order ID.

Response

Success

Successful order deletion response.

success
boolean
required

Indicates successful deletion.

orderId
string
required

Internal Redo order ID.

externalOrderId
string
required

External order ID that was deleted.